import React from 'react';
import style from './Field.css';

export default class Field extends React.Component {

  constructor(props) {
    super(props);
  }

  render() {
  	var { id, label, type, placeHolder, fieldNote } = this.props;
    return (
      <div className={style.field}>
        <label htmlFor={id} className={style.label}>{label}</label>
        <input id={id} type={type} placeholder={placeHolder} className={style.input} />
        {fieldNote && <span className={style.fieldNote}>{fieldNote}</span>}
      </div>
    );
  }
}

Field.docs={
	componentGroup:"Molecules",
  	testProps:{
  		id:"t1",
  		label:"label",
  		type:"text",
  		placeHolder:"placeHolder",
    	fieldNote:"fieldNote"
  	}
}